Selecting the Runtime to Load an Assembly

Registered by Charlie Poole

NUnit has always defaulted to loading a test assembly using the same runtime that NUnit is using. This causes a problem if the assembly was built - for example against .NET 4.0 but NUnit is running under 2.0.

NUnit should default to running each assembly under the .NET runtime for which it was built, provided that runtime is available.

Blueprint information

Status:
Complete
Approver:
NUnit Developers
Priority:
Essential
Drafter:
Charlie Poole
Direction:
Approved
Assignee:
Charlie Poole
Definition:
Approved
Series goal:
Accepted for 2.5
Implementation:
Implemented
Milestone target:
milestone icon 2.5.4
Started by
Charlie Poole
Completed by
Charlie Poole

Related branches

Sprints

Whiteboard

(?)

Work Items

This blueprint contains Public information 
Everyone can see this information.

Subscribers

No subscribers.